package com.linkwechat.wecom.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.linkwechat.common.core.domain.BaseEntity;
import com.linkwechat.common.utils.SnowFlakeUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业微信标签对象 we_tag
 * 
 * @author ruoyi
 * @date 2020-09-07
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName("we_tag")
public class WeTag extends BaseEntity
{

    @ApiModelProperty(value = "主键")
    @TableId(type = IdType.AUTO)
    @TableField("id")
    private Long id;

    @ApiModelProperty(value = "企业id")
    @TableField("corp_id")
    private String corpId;

    @ApiModelProperty(value = "标签组id")
    @TableField("group_id")
    private String groupId;

    @ApiModelProperty(value = "标签名")
    @TableField("name")
    private String name;

     @ApiModelProperty(value = "微信端返回的标签id")
     @TableField("tag_id")
     private String tagId;

    @ApiModelProperty(value = "状态（0正常 1删除）")
    @TableField("del_flag")
    private Integer delFlag;



}
