package com.linkwechat.wecom.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.linkwechat.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 已分配群信息
 * @author: HaoN
 * @create: 2020-10-28 00:13
 **/
@ApiModel
@Data
public class WeAllocateGroupsVo extends BaseEntity {
    /**群id*/
    @ApiModelProperty("群id")
    private String chatId;

    /**群名称*/
    @ApiModelProperty("群名称")
    private String groupName;

    /**群客户数量*/
    @ApiModelProperty("群客户数量")
    private Integer memberNum;

    /**群主所在部门*/
    @ApiModelProperty("群主所在部门")
    private String department;

    /**分配时间*/
    @ApiModelProperty("群主所在部门")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date allocateTime;

    /**新群主名称*/
    @ApiModelProperty("新群主名称")
    private String newOwnerName;

    /**原群主id*/
    @ApiModelProperty("原群主id")
    private String oldOwner;
}
