package com.linkwechat.wecom.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.linkwechat.wecom.domain.WeTagGroup;
import com.linkwechat.wecom.domain.vo.tag.WeTagGroupVo;
import org.apache.ibatis.annotations.Param;

/**
 * 标签组Mapper接口
 * 
 * @author ruoyi
 * @date 2020-09-07
 */
public interface WeTagGroupMapper  extends BaseMapper<WeTagGroup>
{

    /**
     * 查询标签组列表
     * 
     * @param weTagGroup 标签组
     * @return 标签组集合
     */
    public List<WeTagGroupVo> selectWeTagGroupList(WeTagGroup weTagGroup);

    /**
     * 批量保存标签组
     * @param weTagGroups
     * @return
     */
    public void insertWeTagGroupBatch(@Param("weTagGroups") List<WeTagGroup> weTagGroups);


    /**
     * 根据企业员工与添加客户关系id给客户打标签
     * @param externalUserid
     * @return
     */
    public List<WeTagGroupVo> findCustomerTag(@Param("externalUserid") String externalUserid,
                                              @Param("userId") String userId,
                                              @Param("type") Integer type);




}
